Subject: [PATCH v10 2/8] ARM: l2c: Refactor the driver to use commit-like interface

From: [email-masked] (Tomasz Figa)
Date: Fri, 02 Jan 2015 18:28:11 +0900

On 02.01.2015 18:13, Tomasz Figa wrote:
> On 30.12.2014 23:51, Nishanth Menon wrote:
>>>> Looks like the following also need addressing:
>>>> data->save is called twice (once more after l2cof_init)
>>>> l2c310_init_fns also needs l2c310_configure
>>>> will be nice to use l2x0_data only after we kmemdup data in __l2c_init
>>>
>>> I'll check this.
>> Thanks.
>>
>
> Apparently the second save in __l2c_init() is not needed and it should
> have been removed. However it might be a good idea to actually do second
> save in l2c_enable() after l2c_configure() so that the values actually
> permitted by hardware and/or secure firmware are stored.
>
> l2c310_init_fns needs to be updated indeed.

Hmm, apparently current patch already adds this (and I missed it reading 
it at first), so I'm not sure what's your concern about it.

Best regards,
Tomasz